## r-cran-partitions 1.10

=== DESCRIPTION ===
Package: partitions
Type: Package
Title: Additive Partitions of Integers
Version: 1.10-7
Depends: R (>= 3.6.0)
Authors@R: c(
    person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415")),
    person("Paul", "Egeler", email = "paulegeler@gmail.com", role = c("ctb"), comment = c(ORCID = "0000-0001-6948-9498"))
    )
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
Imports: gmp, polynom, sets, mathjaxr, Rdpack
Description: Additive partitions of integers.  Enumerates the
  partitions, unequal partitions, and restricted partitions of an
  integer; the three corresponding partition functions are also given.
  Set partitions and now compositions and riffle shuffles are
  included.
Suggests: testthat
License: GPL
URL: https://github.com/RobinHankin/partitions
BugReports: https://github.com/RobinHankin/partitions/issues
RdMacros: mathjaxr,Rdpack
NeedsCompilation: yes
Packaged: 2022-07-21 02:28:18 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>),
  Paul Egeler [ctb] (<https://orcid.org/0000-0001-6948-9498>)
Repository: CRAN
Date/Publication: 2022-07-21 03:00:03 UTC

## r-cran-partitions 1.10-4+ds

=== debian/changelog ===
r-cran-partitions (1.10-4+ds-1) unstable; urgency=medium

  * New upstream version 1.10-4+ds
  * Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Wed, 27 Oct 2021 01:56:37 +0530

r-cran-partitions (1.10-2+ds-2) unstable; urgency=medium

  * Source-only upload for migration to testing.
  * debian/copyright
    - Add comment with explanation as to why we use GPL-2+.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 13 Oct 2021 23:14:11 +0530

r-cran-partitions (1.10-2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #994218).

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 28 Sep 2021 16:05:02 -0400

=== debian/control ===
Source: r-cran-partitions
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>, Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               librsvg2-bin,
               r-base-dev,
               r-cran-gmp,
               r-cran-mathjaxr,
               r-cran-polynom,
               r-cran-sets,
               texinfo,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-pictures
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partitions
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partitions.git
Homepage: https://cran.r-project.org/package=partitions
Rules-Requires-Root: no

Package: r-cran-partitions
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Additive partitions of integers
 Enumerates the partitions, unequal partitions, and restricted
 partitions of an integer; the three corresponding partition functions
 are also given.  Set partitions and now compositions are included.

## r-cran-partitions 1.10-7+ds

=== debian/changelog ===
r-cran-partitions (1.10-7+ds-1) unstable; urgency=medium

  * New upstream release.
  * d/control
    - Update my email address; now a Debian Developer.
    - Add r-cran-rdpack to Build-Depends.
    - Remove redundant r-base-dev from Build-Depends.
    - Bump Standards-Version to 4.6.1.
  * debian/copyright
    - Update my copyright years and email address.
  * debian/gbp.conf
    - Remove "debian-branch" setting; unnecessary since we now use "master",
      which is the default.
  * debian/patches/*
    - Update my email address in Author fields.
    - Refresh for new upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 22 Jul 2022 09:35:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-partitions
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Doug Torrance <dtorrance@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev,
                librsvg2-bin,
                r-base-dev,
                r-cran-gmp,
                r-cran-mathjaxr,
                r-cran-polynom,
+               r-cran-rdpack,
                r-cran-sets,
                texinfo,
                texlive-fonts-extra,
@@ -19,7 +19,7 @@
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-pictures
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partitions
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partitions.git
 Homepage: https://cran.r-project.org/package=partitions

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds \
https://cloud.r-project.org/src/contrib/partitions_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-partitions 1.10-9+ds

=== debian/changelog ===
r-cran-partitions (1.10-9+ds-2) unstable; urgency=medium

  * Upload to unstable now that trixie has been released (no changes).

 -- Doug Torrance <dtorrance@debian.org>  Fri, 15 Aug 2025 11:12:09 -0400

r-cran-partitions (1.10-9+ds-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental due to trixie freeze.
  * debian/control
    - Bump Standards-Version to 4.7.2.
  * debian/copyright
    - Update my copyright years
  * debian/patches/generate-scrabble-answers.patch
    - Refresh for new upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 05 Jun 2025 23:07:20 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-pictures
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-partitions
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-partitions.git
 Homepage: https://cran.r-project.org/package=partitions

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

# need inst/doc to exist before installing the vignettes, but we
# removed it from the tarball
inst/doc:
	mkdir -p $@

# convert .svg images to .png; otherwise texi2dvi fails
PNG_FILES = $(subst svg,png, $(wildcard vignettes/*.svg))
%.png: %.svg
	rsvg-convert $< -o $@

# we need to run dh_auto_install twice:
# 1. compile the package so dh_vignette can generate the vignettes
# 2. properly install the vignettes
override_dh_auto_install: inst/doc $(PNG_FILES)
	dh_auto_install
	R_LIBS=debian/r-cran-partitions/usr/lib/R/site-library dh_vignette
	dh_auto_install
	rm $(PNG_FILES)
